<?php

require_once 'includes/functions.php';

require_once 'header.php';

	try {
		$formImporter = new Form();
	}catch (Exception $exception){
		print '<div class="alert colorError borderError m-t-25" role="alert">'.$exception.'</div>';
	}



	if(round($_GET['form_id'])>0){
		$formDetails = $formImporter->getFormById(round($_GET['form_id']),round($_GET['content_id']));

		if(count($formDetails['form']) == 0){
			print '<div class="alert colorError borderError m-t-25" role="alert">No records found</div>';
		}else{

			if(isset($_POST['saveForm'])){
				if(round($_GET['contentId'])>0){
					//update
					if($formImporter->updateFormDetails($formDetails,$_POST,round($_GET['content_id']))){
						print '<script language="JavaScript">window.location="form.php?form_id='.$_GET['form_id'].'&content_id='.$_GET['content_id'].'&created=1";</script>';
					}
				}else{
					//create record
					if($formImporter->saveFormDetails(round($_GET['form_id']),$formDetails,$_POST)){
						print '<script language="JavaScript">window.location="form.php?form_id='.$_GET['form_id'].'&created=1";</script>';
					}
				}
			}

			print '<h1 class="colorSuccess">Form details</h1>';

			if($_GET['created'] == 1){
				print '<div class="alert colorSuccess borderSuccess m-t-25" role="alert">Form is saved</div>';
			}


			print '<form method="POST" action="?form_id='.round($_GET['form_id']).''.((round($_GET['content_id'])>0)?'&content_id='.round($_GET['content_id']):'').'">';
				print '<div class="row">';
				foreach ($formDetails['form'] as $form_detail){

					print '<div class="col-sm-6 col-xs-6 col-md-3">';

					/**@Todo: min&max lenght for required fields only */
					$formKey = $form_detail['form_key'];
					$formType = $form_detail['form_type'];
					$formLabel = $form_detail['form_label'];
					$detailId = $form_detail['detail_id'];
					$isRequired = (($form_detail['form_required']==1)?true:false);
					$formMask = (($form_detail['form_mask']!='')?'data-mask="'.$form_detail['form_mask'].'"':'');
					$content = (($formDetails['content'][$form_detail['detail_id']]['form_value']!='')?$formDetails['content'][$form_detail['detail_id']]['form_value']:false);
					switch ($formType){
						case 'text':
							print '<label for="'.$formKey.'">'.$formLabel.'</label>';
								print '<input type="text" name="'.$detailId.'" '.(($isRequired)?'required':'').' id="'.$formKey.'" '.$formMask.' '.((!$content)?'':'value="'.$content.'"').' class="form-control">';
						break;
						case 'enum':
							print '<label for="'.$formKey.'">'.$formLabel.'</label>';
								print '<select name="'.$detailId.'" id="'.$formKey.'"  '.(($isRequired)?'required':'').' class="form-control">';
									foreach($form_detail['options'] as $option){
										print '<option value="'.$option['option_id'].'" '.(((int) $content == $option['option_id'])?'selected':'').' >'.$option['option_value'].'</option>';
									}
								print '</select>';
						break;
						case 'bool':
							print '<label for="'.$formKey.'" class="m-t-25">';
								print '<input type="checkbox" name="'.$detailId.'" '.(($isRequired)?'required':'').' '.(($content == 1)?'checked':'').' id="'.$formKey.'" value="1" > '.$formLabel;
							print '</label>';
						break;
						case 'number':
							print '<label for="'.$formKey.'">'.$formLabel.'</label>';
							print '<input type="number" name="'.$detailId.'"  '.(($isRequired)?'required':'').''.((!$content)?'':'value="'.$content.'"').' id="'.$formKey.'" class="form-control">';
						break;
						case 'date':
							print '<label for="'.$formKey.'">'.$formLabel.'</label>';
							print '<input type="text" name="'.$detailId.'"  '.(($isRequired)?'required':'').''.((!$content)?'':'value="'.$content.'"').' id="'.$formKey.'"  '.$formMask.'  class="form-control">';
						break;

					}

					print '</div>';
				}

					print '<div class="col-sm-6 col-xs-6 col-md-3">';
						print '<button class="btn btn-primary m-t-25 full-width" name="saveForm">Save</button>';
					print '</div>';

				print '</div>';
			print '</form>';
		}


	$formContent = $formImporter->getFormContent((int) $_GET['form_id']);


	}


?>

<?php
require_once 'footer.php';