<?php
/**
 * Created by PhpStorm.
 * User: vladislavdavarasvili
 * Date: 12/10/2017
 * Time: 20:58
 */

$array = array(
	'formName' => 'First form',
	'formDetails' => array(
		'firstName' => array(
			'label' => 'First name',
			'type' => 'text',
			'min' => 1,
			'max' => 20,
			'required' => true,
			'defaultValue' => 'Not set',
			'checkedValue' => '',
			'mask' => ''
		),
		'lastName' => array(
			'label' => 'Last name',
			'type' => 'text',
			'min' => 1,
			'max' => 20,
			'required' => false,
			'defaultValue' => 'Not set',
			'checkedValue' => '',
			'mask' => ''
		),
		'birthDay' => array(
			'label' => 'Birthday',
			'type' => 'date',
			'mask' => '00.00.0000',
			'required' => false,
			'defaultValue' => 'Not set',
			'checkedValue' => ''
		),
		'internalId' => array(
			'label' => 'Internal company id',
			'type'  => 'number',
			'min'   => 10000,
			'max'   => 99999,
			'required' => false,
			'defaultValue' => 'Not set',
			'checkedValue' => '',
			'mask' => ''
		),
		'department' => array(
			'label' => 'Department',
			'type'  => 'enum',
			'list'  => array(
				'r_n_d'      => 'R&D',
				'sales'      => 'Sales',
				'marketing'  => 'Marketing',
				'management' => 'Management'
			),
			'required' => false,
			'defaultValue' => 'Not set',
			'checkedValue' => '',
			'mask' => ''
		),
		'companyCar' => array(
			'label' => 'Uses company car',
			'type'  => 'bool',
			'required' => false,
			'defaultValue' => 'No',
			'checkedValue' => 'Yes',
			'mask' => ''
		)
	),
	'displayDetails' => array(
		'nameAndSurname' => array(
			'label'     => 'Name and Surname',
			'fieldList' => ':firstName: and :lastName:',
		),
		'birthDay' => array(
			'label'     => 'Birthday',
			'fieldList' => ':birthDay:',
		),
		'internalId' => array(
			'label'     => 'Internal company id',
			'fieldList' => ':internalId:',
		),
		'department' => array(
			'label'     => 'Department',
			'fieldList' => ':department:',
		),
		'companyCar' => array(
			'label'     => 'Uses company car',
			'fieldList' => ':companyCar:',
		),
	)

);

echo json_encode($array);