# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: localhost (MySQL 5.6.35)
# Database: seven
# Generation Time: 2017-10-15 18:28:37 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table form
# ------------------------------------------------------------

DROP TABLE IF EXISTS `form`;

CREATE TABLE `form` (
  `form_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_name` text,
  `form_created` int(11) DEFAULT NULL,
  `form_modified` int(11) DEFAULT NULL,
  `is_removed` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table form_content
# ------------------------------------------------------------

DROP TABLE IF EXISTS `form_content`;

CREATE TABLE `form_content` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) DEFAULT NULL,
  `content_id` int(11) DEFAULT NULL,
  `detail_id` int(11) DEFAULT NULL,
  `form_value` text,
  PRIMARY KEY (`id`),
  KEY `content_id` (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table form_details
# ------------------------------------------------------------

DROP TABLE IF EXISTS `form_details`;

CREATE TABLE `form_details` (
  `detail_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `form_key` text,
  `form_label` text,
  `form_type` varchar(6) DEFAULT NULL,
  `form_min` int(11) DEFAULT NULL,
  `form_max` int(11) DEFAULT NULL,
  `form_required` tinyint(1) DEFAULT '0',
  `form_mask` text,
  `form_default` text,
  `form_checked` text,
  `is_removed` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`detail_id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table form_display
# ------------------------------------------------------------

DROP TABLE IF EXISTS `form_display`;

CREATE TABLE `form_display` (
  `display_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) DEFAULT NULL,
  `form_label` text,
  `form_fields` text,
  `form_key` text,
  `is_removed` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`display_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table form_options
# ------------------------------------------------------------

DROP TABLE IF EXISTS `form_options`;

CREATE TABLE `form_options` (
  `option_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `detail_id` int(11) NOT NULL,
  `option_key` text,
  `option_value` text,
  `is_removed` int(1) DEFAULT '0',
  PRIMARY KEY (`option_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
